Bug 715113

Summary: [Sandybridge] Unable to use only external monitor
Product: [Fedora] Fedora Reporter: Robert Rati <rrati>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: ajax, cbredesen, gmuench, patrick.oltmann, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 10:44:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg log
none
/var/log/messages
none
dmesg output none

Description Robert Rati 2011-06-21 17:47:48 EDT
Description of problem:
Booting a Thinkpad T520 with an external monitor attached (through docking station or directly to the laptop) but the laptop lid closed results in the internal and external displays being active.

When the external monitor is connected when the laptop is booted, the display is mirrored on the internal and external displays.  Any attempt to turn off the internal display and use only the external display (and thus higher resolutions) results in either a hang, or a black screen.

When the external monitor is connected after Fedora has booted, it is detected as a second display.  Any attempt to make it the primary (other than mirroring the display) and the only display (ie disable internal display) results in either a hang or a black screen.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.15.0-3.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2011-06-22 18:17:48 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach (if possible from unsuccesful attempt to make it work as you would like it to work):

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Chris Bredesen 2011-09-04 23:59:39 EDT
Hey Matej, I'm having symptoms related to this that look also quite alot like bug 680333, bug 680569, bug 698985 and bug 703742.  They are not all exact dupes but all are related in that they cover the inability to use F-15 with Intel video using only an external display.  I have found F-15 to be varying degrees of unusable since day 1 on Lenovo hardware.  In any case, I'm providing the logs that should satisfy the NEEDINFO though I really suspect the logs in those other BZ's have similar info (of course I cannot say with certainty and this I would not myself mark them as dupes).  Thanks for looking into this.
Comment 3 Chris Bredesen 2011-09-05 00:03:13 EDT
Created attachment 521429 [details]
Xorg log
Comment 4 Chris Bredesen 2011-09-05 00:03:33 EDT
Created attachment 521430 [details]
/var/log/messages
Comment 5 Chris Bredesen 2011-09-05 00:04:11 EDT
Created attachment 521431 [details]
dmesg output
Comment 6 Chris Bredesen 2011-09-05 00:06:17 EDT
Interestingly, I can actually finagle the system into the state I want (external display only display active):

1. drop the resolution of the external display and enable it.
2. turn off laptop display
3. return ext display to full resolution

This works until powersave hits and then upon wake, I get the symptom described.  The system is definitely capable of going into the right mode.
Comment 7 Matěj Cepl 2011-10-15 17:59:57 EDT
(In reply to comment #2)
> Hey Matej, I'm having symptoms related to this that look also quite alot like
> bug 680333, bug 680569, bug 698985 and bug 703742.  They are not all exact
> dupes but all are related in that they cover the inability to use F-15 with

Please, don't hijack other people's bugs ... it is really difficult to understand when the bug is duplicate or not. Please, file rather your own bug and if you think it is probable refer to other bugs in the text of your submission.

Original reporter of this bug, back to you.
Comment 8 Robert Rati 2011-10-20 17:56:13 EDT
I'm unable to reproduce the original behavior with:
xorg-x11-drv-intel-2.15.0-5.fc15.x86_64
kernel-2.6.40-6-0.fc15.fc15.x86_64

Booting the laptop when not in a docking station with KMS enabled shows normal functionality.  2nd monitor is identified and the display is not mirrored.  In gnome, I am able to turn off the internal display and enable only the external display connected to the VGA port on the laptop.  I can connect and disconnect this monitor and the laptop behaves as expected (switches to internal display w/o monitor, back to configuration when monitor is re-attached).

I'm unable to verify any functionality with an external monitor connected to the docking station containing the laptop and booting with KMS enabled because of BZ715110.

This BZ might not be relevant anymore.
Comment 9 Fedora End Of Life 2012-08-07 10:44:24 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping